<?php

use Dcat\Admin\Admin;
use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;

Admin::routes();

Route::group([
    'prefix' => config('admin.route.prefix'),
    'namespace' => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {
    $router->resource('auth/users', 'AdminUserController');
    $router->get('/', 'HomeController@index');

    // 药品
    $router->resource('drug', 'DrugController');
    // 诊断
    $router->resource('diagnosi', 'DiagnosiController');
    // 问诊人
    $router->resource('patient', 'PatientController');
    // 问诊问题
    $router->resource('inquiry', 'InquiryController');

    // 导入日志
    $router->resource('/import-log', 'Common\ImportLogController')->names('import-log');
});
